This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 830556 - [abrt] xchat-gnome-0.26.2-6.git40c5bf988.fc17: g_type_check_instance_cast: Process /usr/bin/xchat-gnome was killed by signal 11 (SIGSEGV)
[abrt] xchat-gnome-0.26.2-6.git40c5bf988.fc17: g_type_check_instance_cast: Pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:202a17dc227106be07586afefc8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 11:56 EDT by Carlos Soriano
Modified: 2014-03-16 23:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.73 KB, text/plain)
2012-06-10 11:56 EDT, Carlos Soriano
no flags Details
File: maps (47.56 KB, text/plain)
2012-06-10 11:56 EDT, Carlos Soriano
no flags Details
File: dso_list (9.88 KB, text/plain)
2012-06-10 11:56 EDT, Carlos Soriano
no flags Details

  None (edit)
Description Carlos Soriano 2012-06-10 11:56:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xchat-gnome
crash_function: g_type_check_instance_cast
executable:     /usr/bin/xchat-gnome
kernel:         3.4.0-1.fc17.x86_64
pid:            2163
pwd:            /home/carlos
time:           Sun 10 Jun 2012 05:04:44 PM CEST
uid:            1000
username:       carlos

backtrace:      Text file, 29422 bytes
dso_list:       Text file, 10120 bytes
maps:           Text file, 48704 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/carlos/4

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x30e70 g_type_check_instance_cast libgobject-2.0.so.0 -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x248e2 fe_set_current [exe] -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x2c05c - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x24a76b gtk_tree_selection_select_path libgtk-x11-2.0.so.0 -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x2a7f9 - [exe] -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aa04 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x23389 fe_main [exe] -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x1d77a main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=carlos-pc-fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/carlos/keyring-FId7Oc
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=carlos
:USERNAME=carlos
:MAIL=/var/spool/mail/carlos
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/carlos/.local/bin:/home/carlos/bin:/home/carlos/bin:/home/carlos/.local/bin:/home/carlos/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/carlos
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1624
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/carlos
:SHLVL=1
:LOGNAME=carlos
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yQCJqeWeBf,guid=335685d4b4ceeaf5bd79a82200000062
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/carlos
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-carlos-V7ebDl/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1628,unix/unix:/tmp/.ICE-unix/1628
:GPG_AGENT_INFO=/run/user/carlos/keyring-FId7Oc/gpg:0:1
:SSH_AUTH_SOCK=/run/user/carlos/keyring-FId7Oc/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-xchat-gnome.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2163
:DESKTOP_STARTUP_ID=gnome-shell-1844-carlos-pc-fedora-xchat-gnome-1_TIME109648

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47589                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47589                47589                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/carlos/.xsession-errors
:2:/home/carlos/.xsession-errors
:3:socket:[29653]
:4:anon_inode:[eventfd]
:5:socket:[30046]
:6:socket:[30747]
:7:socket:[31259]
:8:anon_inode:inotify
:9:socket:[31494]
:10:/home/carlos/.xchat-gnome/scrollback/GimpNet/#gnome-shell.txt
:11:/home/carlos/.xchat-gnome/scrollback/GimpNet/#gnome-os.txt
:12:socket:[31497]
:13:/home/carlos/.xchat-gnome/scrollback/GimpNet/#gnome-love.txt
:14:/home/carlos/.xchat-gnome/scrollback/GimpNet/#gnome-design.txt
:15:/home/carlos/.xchat-gnome/scrollback/GimpNet/#gnome.txt
:16:socket:[31500]
:17:/home/carlos/.xchat-gnome/scrollback/GimpNet/#clutter.txt
:18:socket:[1444911]
:19:anon_inode:[eventfd]
:20:anon_inode:[eventfd]
:21:socket:[1140801]
:22:/home/carlos/.xchat-gnome/scrollback/FreeNode/#fedora-desktop.txt

smolt_data:
:
:
:General
:=================================
:UUID: 2e7fe080-5881-4141-b2c1-f84c5c224011
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5999.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 5970
:System Swap: 8031
:Vendor: Gigabyte Technology Co., Ltd.
:System: X38-DQ6 
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(32902:10729:5208:20480) pci, pcieport, PCI/PCI, 82X38/X48 Express Host-Secondary PCI Express Bridge
:(32902:10720:5208:20480) pci, x38_edac, HOST/PCI, 82X38/X48 Express DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:10544:5208:20481) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10528:5208:45058) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10518:5208:20481) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(32902:10534:5208:45058) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:10549:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(32902:10566:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:5208:40994) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(6164:770:4486:15369) pci, rt61pci, NETWORK, AirPlus G DWL-G510 Wireless Network Adapter (Rev.C)
:(32902:10552:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:401:4318:924) pci, nouveau, VIDEO, G80 [GeForce 8800 GTX]
:(32902:10570:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_carlos--pc--fedora-lv_root / ext4 4096 4096 13092026 10522866 10391816 3276800 3025780 3025780
:/dev/sdb1 /boot ext4 1024 1024 508745 399549 373949 128016 127655 127655
:/dev/mapper/vg_carlos--pc--fedora-lv_home /home ext4 4096 4096 23736677 19841935 18653276 5947392 5776583 5776583
:/dev/sdc1 WITHHELD fuseblk 65536 65536 15261875 6335657 6335657 406006336 405813347 405813347
:/dev/sr0 WITHHELD iso9660 2048 2048 330132 0 0 0 0 0
:

var_log_messages:
:Jun 10 17:04:44 carlos-pc-fedora kernel: [ 3925.565210] xchat-gnome[2163] general protection ip:37bf830e70 sp:7fff9fa3e4c0 error:0 in libgobject-2.0.so.0.3200.3[37bf800000+4b000]
:Jun 10 17:04:45 carlos-pc-fedora abrt[23368]: Saved core dump of pid 2163 (/usr/bin/xchat-gnome) to /var/spool/abrt/ccpp-2012-06-10-17:04:44-2163 (39047168 bytes)

xsession_errors:
:(xchat-gnome:23397): Gtk-WARNING **: No object called: 
:(xchat-gnome:23397): Gtk-WARNING **: No object called: 
:(xchat-gnome:23397): Gtk-WARNING **: No object called: 
:(xchat-gnome:23397): Gtk-WARNING **: No object called: 
:(xchat-gnome:23397): Gtk-WARNING **: No object called:
Comment 1 Carlos Soriano 2012-06-10 11:56:38 EDT
Created attachment 590759 [details]
File: backtrace
Comment 2 Carlos Soriano 2012-06-10 11:56:41 EDT
Created attachment 590760 [details]
File: maps
Comment 3 Carlos Soriano 2012-06-10 11:56:43 EDT
Created attachment 590761 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 21:21:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 01:42:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.